/*{{{  #includes*/
#include <stdio.h>

#define MESSAGES_C

#include <local/bool.h>

#include "keybind.h"
/*}}}  */

/*{{{  format-strings*/
char F_AGAIN[]=         "restarting compiling %s:%d.\n";
char F_ALIAS[]=         "defining alias %s.\n";
char F_BELONGS[]=       "and belongs to %s.\n";
char F_BINDS[]=         "binding uses %d tokens.\n";
char F_CLOSE[]=         "close %s failed.\n";
char F_DEMAC[]=         "defineable macrobuffer %d uses %d tokens ";
char F_DEFMOD[]=        "usermode %d uses long %s and short %s.\n";
char F_DNDMAC[]=        "declared and not defined macro %s.\n";
char F_ERRORPO[]=       "file: %s line: %d\n";
char F_ERRY[]=          "line read up to column: %d\n";
char F_FOR[]=           "forwarding macroplace %d ";
char F_HOOK_MACRO[]=    "%smacro uses buffer %d.\n";
char F_IGNORING[]=      "ignoring block, starting %s:%d.\n";
char F_INCLUDE[]=       "can't open includefile %s.\n";
char F_INTS[]=          "binding needs %d int-variables.\n";
char F_ISMASKED[]=      "Warning: Key %s is masked by other keys.\n";
char F_KBDS[]=          "mode %s has number %d.\n";
char F_KBD_MISS[]=      "missing definition of mode %s.\n";
char F_M_USE[]=         "binding %s mouse, %d buttons.\n";
char F_MARKT[]=         "binding generates %d additional mark-types.\n";
char F_MASKS[]=         "Warning: Key %s masks other keys.\n";
char F_MDECLARE[]=      "mark-type %s declared.\n";
char F_MISALIAS[]=      "unknown terminal-alias %s, suppress binding\n";
char F_MOUSE[]=         "binding uses mouse-support %s.\n";
char F_NOALIAS[]=       "unknown alias: %s.\n";
char F_NOBIND[]=        "Can't open file %s\n";
char F_NODES[]=         "binding %d (terminal %d) uses %d keysequences = %d keytabnodes.\n";
char F_NOKEYNUMBER[]=   "%d=unkown key number!";
char F_NOPIPE[]=        "Can't open pipe: %s\n";
char F_NORC[]=          "Can't open %s/%src\n";
char F_OPERATION[]=     "operation %s uses %d tokens.\n";
char F_OPT_FORMAT[]=    "(opt. path %d: %d jmp's cut, %d modifications, %d tokens cut)\n";
char F_SETDEC[]=        "defining characterset %s(%d).\n";
char F_SETUSE[]=        "binding uses %d character-sets.\n";
char F_STMAC[]=         "static macrobuffer %d uses %d tokens ";
char F_T_START[]=       "starting terminal %s.\n";
char F_UNSET[]=         "tag %s marked as unset.\n";
char F_USECOMP[]=       "compiling block, starting %s:%d.\n";
char F_USEEND[]=        "end of compiled if-using block %s:%d.\n";
char F_USESET[]=        "tag %s marked as set.\n";
/*}}}  */
/*{{{  simple messages*/
char M_ABORTUSED[]=     "abort-key is used in keysequence\n";
char M_ALIEND[]=        "alias does not end with ).\n";
char M_ALIAS_OV[]=      "too many aliases used.\n";
char M_BEGINUSE[]=      "missing @fi for earlier @if-using.\n";
char M_CASEEND[]=       "expected ) for case-entry.\n";
char M_COMMANDLINE[]=   "incorrect commandline.\n";
char M_CRASH[]=         "CRASH";
char M_DEFOEND[]=       "defop does not end with ).\n";
char M_DEFONAME[]=      "define a new operation has no name.\n";
char M_DEPTH[]=         "include-depth too high.\n";
char M_DUPAB[]=         "dupplicate abort-definition.\n";
char M_DUPAUTO[]=       "dupplicate auto- or abortmacro-definition.\n";
char M_DUPDEF[]=        "duplicate definition.\n";
char M_DUPKEY[]=        "multiple named keybinding.\n";
char M_ENDUSE[]=        "missing @if-using for @fi.\n";
char M_EXPALIAS[]=      "expected name for alias.\n";
char M_FALSEEND[]=      "control key or eof in macro string.\n";
char M_FIXFULL[]=       "too many macros used.\n";
char M_INCORRECTFILES[]="generated files are incorrect\n";
char M_INVMNAME[]=      "no valid macro name.\n";
char M_KBDNAME[]=       "mode needs name.\n";
char M_KBD_BEGIN[]=     "mode needs `(keybind'.\n";
char M_KBD_ERR[]=       "defmodes expected ).\n";
char M_KBD_KEY[]=       "keybind and defmodes crash.\n";
char M_KEYEND[]=        "keybind ends not with ).\n";
char M_KEYNAME[]=       "waiting for keybindname in line %d.\n";
char M_MACGIV[]=        "already macros given.\n";
char M_MACNAME[]=       "define a new operation has no name.\n";
char M_MANYMODES[]=     "too many usermodes defined.\n";
char M_MANY_KBD[]=      "too many modes.\n";
char M_MARKNAME[]=      "expected name for mark.\n";
char M_MDEFNAME[]=      "macrodefinition ends not with ).\n";
char M_MICE[]=          "current(known) mice: ";
char M_MO[]=            "  using mode:";
char M_MOUSE[]=         "duplicate mousedefinition.\n";
char M_MSTR[]=          "modestring expected.\n";
char M_NOABORT[]=       "abort-keysequence too long.\n";
char M_NOADDCOUNTER[]=  "expecting an integer.\n";
char M_NOBFILE[]=       "Can't open binding-file\n";
char M_NOBINDNAME[]=    "empty binding-name\n";
char M_NOCHAR[]=        "incorrect char-definition.";
char M_NOCNTRL[]=       "incorrect control-sequence.\n";
char M_NOCODE[]=        "incorrect codedefinition.\n";
char M_NOCOMMAND[]=     "no valid origamicommand.\n";
char M_NODEBOUND[]=     "defmac cannot be bound.\n";
char M_NOELSEFI[]=      "fi or else expected.\n";
char M_NOESAC[]=        "esac, default or ( expexcted.\n";
char M_NOFI[]=          "if then else without fi.\n";
char M_NOHEX[]=         "no valid hex-value.\n";
char M_NOFNAME[]=       "no filename given.\n";
char M_NOJUMP[]=        "wrong jump-command CRASH\n";
char M_NOKCOMMAND[]=    "incorrect keybind-command.\n";
char M_NOMACROTAG[]=    "wrong macrotag\n";
char M_NOMEMORY[]=      "no memory\n";
char M_NOMESSAGE[]=     "exit-description expected.\n";
char M_NOMETA[]=        "incorrect meta-key.\n";
char M_NOMSTRING[]=     "no valid macro-string.\n";
char M_NOPROMPT[]=      "prompt-text expected.\n";
char M_NOOPS[]=         "too many operations used.\n";
char M_NOREF[]=         "Cannot open referenzfile.\n";
char M_NOREPEAT[]=      "wrong repeat format.\n";
char M_NOSETCHAR[]=     "expected a character for the set.\n";
char M_NOTEST[]=        "incorrect test.\n";
char M_NOVAR[]=         "missing variable.\n";
char M_NOVAS[]=         "too many variables used.\n";
char M_NOWHILE[]=       "expected while.\n";
char M_OPPTAG[]=        "incorrect use-list.\n";
char M_OPP[]=           "incorrect opp-statement.\n";
char M_SETMISS[]=       "no valid character-set given.\n";
char M_SNAME[]=         "setname expected\n";
char M_TAB[]=           "tabs are for farmers!\n";
char M_T_END[]=         "end %d terminals\n";
char M_T_MAX[]=         "maximum number of terminals reached.\n";
char M_T_NAME[]=        "need name for a terminal.\n";
char M_TCNEEDSCHAR[]=   "test_char waits for its char.\n";
char M_UMNAME[]=        "modename expected.\n";
char M_WANTBEGIN[]=     "( expected.\n";
char M_WANTCHAR[]=      "expected a single char for mark.\n";
char M_WANTEND[]=       "waiting for ).\n";
char M_WANTPRINT[]=     "expected a sequence of strings.\n";
/*}}}  */
