/* This file is part of the origami distrubution. (Amiga Port)
 *
 * Source code written by Thomas Hadig in December 1991
 * Version : 1.6.39 gamma, April 1992
 * (C) 1992 by Thomas Hadig
 * may be distributed unchanged ! (see copyright notes)
 */

/*{{{  #includes*/
#include <stdio.h>
#include <stdlib.h>
#include <exec/tasks.h>
#include <proto/exec.h>
#include <dos.h>
#include "origami:amiga/getopt/getopt.h"
/*}}}  */
int tmain (int, char **);

/*{{{  main*/
int main (int argc, char **argv)

 {
  struct Task *t;

  t = FindTask (NULL);
  if ((long)(t->tc_SPUpper-t->tc_SPLower)<15000L/2)
  {
    struct ProcID pid;
    struct MsgPort *msgport;
    struct FORKENV forkenv =
    {
      0,16000,NULL,NULL,NULL,NULL
    };

    if (msgport = CreatePort ("PagerPort",0))
    {
      forkenv.msgport = msgport;
      if (!(forkv (argv[0],argv,&forkenv,&pid)))
      {
        wait (&pid);
      }
    }
    return 0;
  }
  else return tmain (argc,argv);
 }
/*}}}  */
