/*{{{  #includes*/
#ifdef CONFIG_H
#   include "config.h"
#endif

#include <sys/types.h>
#include <limits.h>
#include <stdio.h>
#include <signal.h>

#include <local/bool.h>

#define MESSAGES_C

#include "origami.h"
/*}}}  */

/*{{{  inputs - if possible, this defaults will be overwritten by origamimsg*/
public unsigned char NO='N';
public unsigned char YES='Y';
public unsigned char AB='A';
public unsigned char DO_AB='.';
public unsigned char DO_REST='!';
/*}}}  */
/*{{{  messages - if possible, this defaults will be overwritten by origamimsg*/
public unsigned char eoln_str='$';
public unsigned char comma=',';
/*}}}  */
/*{{{  messages which can not be handled in getmsg*/
public char ctrl_decode[]="@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_";
public char M_STACK[]="invalid stack-size\n";
public char M_LINE[]="invalid/multiple line\n";
public char M_TAB[]="invalid tab-mode\n";
public char M_VN[]="invalid table-size\n";
public char M_MARK[]="multiple mark types\n";
public char M_ALARM[]="invalid auto-save time (2<=x<=60)\n";
public char M_RCSTR[]="rc";
public char M_MSGSTR[]="msg";
public char eq[]="=";
public char fold_f[]="F ";
public char fold_a[]="A ";
public char question[]=" ? ";
public unsigned char empty_text[]="";
public unsigned char tspace[]="   ";
public unsigned char M_PSTR[]="pipe";
public unsigned char M_UN_MES[]="inpropper/missing message-file.";
public unsigned char M_NO_MEMORY[]="not enough memory";
public unsigned char M_NO_HOME[]="Environment variable HOME not set.\n";
/*}}}  */
