BEGIN {
  printf("typedef enum                                            \n")
  printf(" { COM=0,       /* simple command */                    \n")
  printf("   COM_C,       /* command with 1 char argument  */     \n")
  printf("   COM_I,       /* command with 1 int argument   */     \n")
  printf("   COM_A,       /* command with a adress         */     \n")
  printf("   COM_II,      /* command with 2 int arguments  */     \n")
  printf("   COM_P,       /* command with a prompt         */     \n")
  printf("   COM_IP,      /* command with 1 int and prompt */     \n")
  printf("   COM_IIP      /* command with 2 int and prompt */     \n")
  printf(" } COM_TYPES;                                           \n")
  printf("COM_TYPES cmd_type[] = {\n   COM,           /* O_NOP */\n")
}
{
  printf("   %s,           /* %s */\n",$3,$1)
}
END {
  printf("   COM\n};\n")
}
